/**
 * @file
 * Use Slim Select JS.
 */

(function (Drupal, once) {
  Drupal.behaviors.slimSelect = {
    attach(context) {
      once('slimSelect', '[data-drupal-slim-select]', context).forEach(function ($selectElement) {
        let attr = $selectElement.getAttribute('data-drupal-slim-select');
        attr = JSON.parse(attr);

        new SlimSelect({
          select: '#' + $selectElement.getAttribute('id'),
          showSearch: attr['showSearch'],
          selectByGroup: attr['selectByGroup'],
          searchPlaceholder: Drupal.t('Search'),
          searchText: Drupal.t('No Results'),
          searchingText: Drupal.t('Searching...'),
          placeholder: Drupal.t('Select Value')
        });
      });
    }
  };
})(Drupal, once);
